> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SCIM Group

> Update a SCIM Group by ID



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml put /v1/directory-integration/scim/v2/Groups/{id}
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/directory-integration/scim/v2/Groups/{id}:
    put:
      tags:
        - Directory Integration
      summary: Update SCIM Group
      description: Update a SCIM Group by ID
      operationId: updateGroup
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScimGroup'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnhancedScimGroup'
          description: Group updated successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Invalid request
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Group not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    ScimGroup:
      type: object
      properties:
        displayName:
          type: string
        externalId:
          type: string
        id:
          type: string
          maxLength: 2147483647
          minLength: 1
        members:
          type: array
          items:
            $ref: '#/components/schemas/GroupMembership'
        meta:
          $ref: '#/components/schemas/Meta'
        schemas:
          type: array
          items:
            type: string
            xml:
              name: schemas
          maxItems: 2147483647
          minItems: 1
          uniqueItems: true
      required:
        - meta
      xml:
        name: Group
    EnhancedScimGroup:
      type: object
      properties:
        accountId:
          type: string
          description: The unique identifier of the Matillion account this group belongs to
        accountName:
          type: string
          description: The human-readable name of the Matillion account
        displayName:
          type: string
        environment:
          type: string
          description: >-
            The unique identifier of the environment this group is associated
            with
        externalId:
          type: string
        id:
          type: string
          maxLength: 2147483647
          minLength: 1
        members:
          type: array
          items:
            $ref: '#/components/schemas/GroupMembership'
        meta:
          $ref: '#/components/schemas/Meta'
        projectId:
          type: string
          format: uuid
          description: The unique identifier of the project this group is associated with
        projectName:
          type: string
          description: The human-readable name of the project
        role:
          type: string
          description: The role assigned to this group within the Matillion platform
        schemas:
          type: array
          items:
            type: string
            xml:
              name: schemas
          maxItems: 2147483647
          minItems: 1
          uniqueItems: true
      required:
        - meta
      xml:
        name: Group
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    GroupMembership:
      type: object
      properties:
        display:
          type: string
        ref:
          type: string
          xml:
            name: $ref
        type:
          type: string
          enum:
            - USER
            - GROUP
        value:
          type: string
    Meta:
      type: object
      properties:
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        location:
          type: string
        resourceType:
          type: string
          maxLength: 2147483647
          minLength: 1
        version:
          type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````